ALT Linux Team development discussions
 help / color / mirror / Atom feed
From: "Dmitry V. Levin" <ldv@fandra.org>
To: devel@linux.iplabs.ru
Subject: Re: [devel] TODO
Date: Wed, 24 Jan 2001 04:21:17 +0300
Message-ID: <20010124042117.I23408@LDV.fandra.org> (raw)
In-Reply-To: <20010124035626.A29240@www.logic.ru>; from nidd@debian.org on Wed, Jan 24, 2001 at 03:56:26AM +0300


[-- Attachment #1.1: Type: text/plain, Size: 1358 bytes --]

On Wed, Jan 24, 2001 at 03:56:26AM +0300, Peter Novodvorsky wrote:
> > В моем TODO "второго сорта" осталось 39 непересобранных пакетов (это из
> > того файла, который был в этом списке). Если желаете оттуда что-то взять -
> > welcome, только сразу об этом мне сообщите (attached).
> 
> Готов взять:
> 
> > cfengine
> > ytalk
> > zsh

Нет проблем.

> С остальным ни разу не общался. Если там есть что-то легкое, в чем не
> надо разбираться, а просто проверить/вставить запись в changelog/increment
> version number/rebuild, то я готов.

Спасибо, это я и сам могу сделать, тем более, что у меня есть скрипт,
который позволит сделать это быстрее. :)

Задача не только в том, чтобы пересобрать, но и в проверке
работоспособности, правильности конфигурации по умолчанию, etc.

P.S. текущая версия скрипта cleanup_spec (который нужно применять к
     каждому spec-файлу, который попадает в Ваши руки), attached.


Regards,
	Dmitry

+-------------------------------------------------------------------------+
Dmitry V. Levin     mailto://ldv@fandra.org
Software Engineer   PGP pubkey http://www.fandra.org/users/ldv/pgpkeys.html
IPLabs Linux Team   http://linux.iplabs.ru
Fandra Project      http://www.fandra.org
+-------------------------------------------------------------------------+
UNIX is user friendly. It's just very selective about who its friends are.

[-- Attachment #1.2: cleanup_spec --]
[-- Type: text/plain, Size: 1887 bytes --]

#!/bin/sh -e

PROG="${0##*/}"

: "${TMPDIR:=$HOME/tmp}"
TMPFILE="$(mktemp "$TMPDIR/$PROG.XXXXXX")"

Exit()
{
	RETVAL=$?
	trap "" EXIT
	rm -f "$TMPFILE"
	exit $RETVAL
}

trap "Exit " SIGHUP SIGPIPE SIGINT SIGTERM EXIT

RemoveEmpty()
{
	awk 'BEGIN{empty=0} /^.+$/{empty=0} /^$/{if(!empty){print;empty=1}} {if(!empty)print $0}' <$1 >"$TMPFILE" &&
		cat "$TMPFILE" >"$1"
}

RemoveClean()
{
	awk 'BEGIN{clean=0} {printed=0} /^%(pre|post|trig|files|changelog)/{clean=0} /^./{if(clean){print "%clean";clean=0}} /^%clean$/{clean=1;printed=1} /^$/{if(clean){printed=1}} {if(!printed)print $0}' <$1 >"$TMPFILE" &&
		cat "$TMPFILE" >"$1"
}

CleanFiles()
{
	awk 'BEGIN{found=0} {printed=0} /^./{found=0} /^%(description|prep|build|install|pre|post|trig|files|changelog)([^_]|$)/{found=1} /^%(pre|post|trig).*[ 	]-p[ 	]/{found=0} /^$/{if(found)printed=1} {if(!printed)print $0}' <$1 >"$TMPFILE" &&
		cat "$TMPFILE" >"$1"
}

for F in "$@"; do
	perl -pi -e 's/%\{([A-Za-z_0-9]+)\}([^A-Za-z_0-9?*]|$)/%$1$2/g' "$F"
	perl -pi -e 's/%\{([A-Za-z_0-9]+)\}([^A-Za-z_0-9?*]|$)/%$1$2/g' "$F"
	perl -pi -e 's/%\{([A-Za-z_0-9]+)\}([^A-Za-z_0-9?*]|$)/%$1$2/g' "$F"
	perl -pi -e 's/[ 	]+$//g' "$F"
	perl -pi -e 's/^([A-Za-z_0-9]+:|%package|%description|%pre|%preun|%post|%postun|%files)[ 	]+/\1 /g' "$F"
	perl -pi -e 's/^%make$/%make_build/g;s/^%make\s+/%make_build /g;s/%_prefix/%prefix/g;s/%_initrddir/%_initdir/g;s/%_install_info/%install_info/g;s/%_remove_install_info/%uninstall_info/g' "$F"
	perl -pi -e 's/^url: /Url: /ig;s/^copyright: /License: /ig;s/^prereq: /PreReq: /ig;s/^buildrequires: /BuildRequires: /ig;s/^buildprereq: /BuildPreReq: /ig' "$F"

	perl -pi -e 's/^buildroot: .*//ig' "$F"
	perl -pi -e 's/^rm\s+-(rf|fr)\s+"?\$RPM_BUILD_ROOT"?$//g' "$F"
	perl -pi -e 's/^%defattr\s*\(\s*-\s*,\s*root\s*,\s*root\s*(,\s*(-|0?755)\s*)?\)//g' "$F"

	RemoveEmpty "$F"
	RemoveClean "$F"
	CleanFiles "$F"
done

[-- Attachment #2: Type: application/pgp-signature, Size: 232 bytes --]

  reply	other threads:[~2001-01-24  1:21 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2001-01-23 15:03 Aleksey Novodvorsky
2001-01-23 10:43 ` Rider
2001-01-23 15:02   ` Alexander Bokovoy
2001-01-24  0:40     ` Dmitry V. Levin
2001-01-23 15:22   ` Aleksey Novodvorsky
2001-01-23 11:00     ` Rider
2001-01-23 15:33       ` Aleksey Novodvorsky
2001-01-23 11:09         ` Rider
2001-01-23 15:00 ` Alexander Bokovoy
2001-01-23 15:10 ` Aleksey Novodvorsky
2001-01-24  0:17 ` Dmitry V. Levin
2001-01-24  0:56   ` Peter Novodvorsky
2001-01-24  1:21     ` Dmitry V. Levin [this message]
2001-01-24  3:53       ` [devel] ÏÂÎÏ×ÌÅÎÉÑ Kostya Timoshenko
2001-01-24  4:48         ` [devel] Re: [devel] обновления Dmitry V. Levin
2001-01-24  5:49           ` [devel] " Peter Novodvorsky
2001-01-24  6:00             ` Kostya Timoshenko
2001-01-24  6:10               ` [devel] " Peter Novodvorsky
2001-01-24  8:07         ` Rider
2001-01-24  5:53       ` [devel] update-alternatives Kostya Timoshenko
2001-01-31  4:46       ` [devel] hermes Kostya Timoshenko
2001-01-31  5:16         ` Dmitry V. Levin
2001-01-31 14:22         ` Aleksey Novodvorsky
2001-01-31 13:14           ` Dmitry V. Levin
2001-01-31 17:45             ` Aleksey Novodvorsky
2001-01-31 13:41               ` Dmitry V. Levin
2001-01-31 23:06                 ` Mikhail Zabaluev
2001-02-03  0:00                   ` Dmitry V. Levin
2001-01-24  4:46   ` [devel] TODO Dmitry V. Levin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20010124042117.I23408@LDV.fandra.org \
    --to=ldv@fandra.org \
    --cc=devel@linux.iplabs.ru \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

ALT Linux Team development discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://lore.altlinux.org/devel/0 devel/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 devel devel/ http://lore.altlinux.org/devel \
		devel@altlinux.org devel@altlinux.ru devel@lists.altlinux.org devel@lists.altlinux.ru devel@linux.iplabs.ru mandrake-russian@linuxteam.iplabs.ru sisyphus@linuxteam.iplabs.ru
	public-inbox-index devel

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://lore.altlinux.org/org.altlinux.lists.devel


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git